
//ブラウザ判定
const getBrowser = function() {
  const ua = window.navigator.userAgent.toLowerCase();
  const ver = window.navigator.appVersion.toLowerCase();
  let name = 'unknown';
  if (ua.indexOf("msie") != -1) {
    if (ver.indexOf("msie 6.") != -1) {
      name = 'ie ie6';
    } else if (ver.indexOf("msie 7.") != -1) {
      name = 'ie ie7';
    } else if (ver.indexOf("msie 8.") != -1) {
      name = 'ie ie8';
    } else if (ver.indexOf("msie 9.") != -1) {
      name = 'ie ie9';
    } else if (ver.indexOf("msie 10.") != -1) {
      name = 'ie ie10';
    } else {
      name = 'ie';
    }
  } else if (ua.indexOf('trident/7') != -1) {
    name = 'ie ie11';
  } else if (ua.indexOf('chrome') != -1) {
    name = 'chrome';
  } else if (ua.indexOf('safari') != -1) {
    name = 'safari';
  } else if (ua.indexOf('opera') != -1) {
    name = 'opera';
  } else if (ua.indexOf('firefox') != -1) {
    name = 'firefox';
  }
  return name;
}

// アニメーション初期化
const init_animation = function() {
  AOS.init();
}

// スムーススクロール
const init_smoothscroll = function() {
  $('a[href^="#"]').not('.no-link').click(function(){
    const speed = 500;
    const offset = 0;
    const href= $(this).attr("href");
    const target = $(href == "#" || href == "" ? 'html' : href);
    const position = target.offset().top - offset;
    $("html, body").animate({scrollTop:position}, speed, "swing");
    return false;
  });
}

// 画像保護
const init_protection = function() {
  $('img').each(function(){
    $(this)
      .attr('onmousedown', 'return false')
      .attr('onselectstart', 'return false')
      .attr('oncontextmenu', 'return false');
  });
}

// 画像サイズ自動計算
const init_autofit = function() {
  $(window).on('load resize scroll', function() {
    const visible_w = 1100; // 画像の可視幅
    $('img[data-autofit="true"]').each(function(){
      const img = $(this)[0];
      const org_w = img.naturalWidth;
      const org_h = img.naturalHeight;
      $(this).height('calc(100vw * (' + org_h + ' / ' + visible_w + '))');
    });
  });
}

// PageTopに戻る
const init_pagetop = function() {
  const threshold = 100;
  $(window).on('load resize scroll', function(){
    if ($(this).scrollTop() > threshold) {
      $('#page-top').addClass('show');
    } else {
      $('#page-top').removeClass('show');
    }
  });
}

// フローティングメニュー
const init_floating_menu = function() {
  const bp = 992;
  $(window).on('load scroll resize', function(){
    if ($(this).width() >= bp) {
      $('body').removeClass('c-floating-menu--active');
    }
    else {
      const pos = $(this).scrollTop();
      if (pos > 200) {
          $('body').addClass('c-floating-menu--active');
      } else {
          $('body').removeClass('c-floating-menu--active');
      }
    }
  });
}

// ページ読み込み完了イベント
$(function(){
  // ブラウザ判定クラス追加
  $("html").addClass(getBrowser());
  // 各種初期化
  init_animation();
  init_smoothscroll();
//  init_protection();
//  init_autofit();
  init_pagetop();
  init_floating_menu();
});
